aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Valentin Mahrwald <>
Subject Java 5 compatibility testing in build
Date Wed, 15 Jun 2011 18:13:34 GMT

I have got a use case where I would like to distribute a couple of Aries modules to a client
on Java 5. Naturally, even the projects that use Java 5 parents don't quite work outright
because everything gets compiled on Java6 - as was agreed a while ago - so in a couple of
places Java6 API calls have sneaked in.

What I would like to do is use the animal-sniffler plugin (
to check compile class files for usage of Java 6 APIs. It adds a bit of overhead to the build
step but would ensure that projects that claim to be Java 5 compatible actually are without
forcing all projects to move down (which I believe we can't even do since there were some
definite Java6 prereqs). Also doing it that way let's us continue use @Override on implemented
interface methods ;)

Thoughts / objections ?


View raw message